if (useItem("Lamp_Magenta"))
{
  if (!hasMemo("lamp_0"))
  {
    setMemo("lamp_0");
    setMemo("magenta_0");
  }
  else if (!hasMemo("lamp_1"))
  {
    setMemo("lamp_1");
    setMemo("magenta_1");
  }
  else
  {
    setMemo("lamp_2");
    setMemo("magenta_2");
  }
  var lamp = getName("magenta_decor");
  lamp.ac(1);
  if (!game.player.anim.flipped) game.player.flip();
  game.player.walkLeft(true);
  run("insert_music");
}
else this.removeSelf = false;